from logging import DEBUG, INFO, getLogger
from sys import stdout

from colorlog import ColoredFormatter, StreamHandler


def init_logger(name="libexploit", verbose=False):
    logger = getLogger(name)
    if verbose:
        logger.setLevel(DEBUG)
    else:
        logger.setLevel(INFO)

    # Setup how we want to format our messages
    stdout_formatter = ColoredFormatter(
        '%(log_color)s [%(levelname)s] %(message)s')

    # Setup logging to stdout for INFO and below
    stdoutHdlr = StreamHandler(stream=stdout)
    if verbose:
        stdoutHdlr.setLevel(DEBUG)
    else:
        stdoutHdlr.setLevel(INFO)
    stdoutHdlr.setFormatter(stdout_formatter)
    logger.addHandler(stdoutHdlr)

    return logger
