from sys import exit

from libexploit.io.stdout import init_logger


def __validate(payload, expected_len, err_msg):
    logger = init_logger()
    payload_len = len(payload)
    if payload_len != expected_len:
        logger.error(msg.format(
            p=payload_len, e=expected_len))
        exit(1)


def validate_payload_length(payload, expected_len):
    __validate(payload, expected_len,
               'payload length was: {p}, expected payload length: {e}')


def validate_nseh_offset(payload, expected_len):
    __validate(payload, expected_len,
               'Next SEH offset was: {p}, expected nSEH offset: {e}')


def validate_seh_offset(payload, expected_len):
    __validate(payload, expected_len,
               'SEH offset was: {p}, expected SEH offset: {e}')
